Skip to main content
POST
/
generation
/
ideogram
/
ideogram
Ideogram V3
curl --request POST \
  --url https://open.skills.video/api/v1/generation/ideogram/ideogram \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>"
}
'
{
  "id": "gen_123",
  "status": "IN_QUEUE",
  "input": {
    "prompt": "a cat",
    "aspect_ratio": "1:1",
    "resolution": "1024x1024",
    "n": 1
  },
  "usage": {
    "total": 20,
    "subscription": 20,
    "permanent": 0
  }
}
Ideogram image generation model

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

prompt
string
required

Text prompt for image generation

image_url
string<uri>

Input image for image-to-image generation

aspect_ratio
enum<string>
default:1:1

The aspect ratio of the generated image

Available options:
10:16,
16:10,
9:16,
16:9,
4:3,
3:4,
1:1,
1:3,
3:1,
3:2,
2:3
resolution
enum<string>
default:1K

Target resolution used together with aspect ratio to build image_size

Available options:
1K,
2K,
4K
expand_prompt
boolean
default:true

Whether to expand the prompt with MagicPrompt functionality

seed
integer | null

Seed for the random number generator

Required range: -9007199254740991 <= x <= 9007199254740991
style
enum<string>
default:auto

The style of the generated image

Available options:
auto,
general,
realistic,
design,
render_3D,
anime
n
integer
default:1

Number of results to generate (1-4)

Required range: 1 <= x <= 4

Response

Generation submission accepted

id
string
required

Generation id.

status
enum<string>
required

Queue status

Available options:
IN_QUEUE,
IN_PROGRESS,
COMPLETED,
FAILED,
CANCELED
input
Input · object
required

Normalized input payload for the generation task.

usage
object
required

Credit usage breakdown for the request

code
string

Machine-readable generation error code. Present when status is FAILED.

message
string

Sanitized human-readable failure message. Present when status is FAILED.